Package: geb.navigator.event

## [Groovy] Interface NavigatorEventListener

-     interface NavigatorEventListener

  Implementations of this interface can be registered with Configuration to listen to certain Navigator events.

  See Also:
    NavigatorEventListenerSupport

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract void` | `afterClick(Browser browser, Navigator navigator)` Called after `click()` is called on all of the elements of a Navigator
    `` | `abstract void` | `afterSendKeys(Browser browser, Navigator navigator, Object value)` Called after `sendKeys()` is called on all of the elements of a Navigator, as part of Navigator.leftShift
    `` | `abstract void` | `afterValueSet(Browser browser, Navigator navigator, Object value)` Called after setting value of a Navigator, that is at the end of Navigator.value
    `` | `abstract void` | `beforeClick(Browser browser, Navigator navigator)` Called before `click()` is called on all of the elements of a Navigator
    `` | `abstract void` | `beforeSendKeys(Browser browser, Navigator navigator, Object value)` Called before `sendKeys()` is called on all of the elements of a Navigator, as part of Navigator.leftShift
    `` | `abstract void` | `beforeValueSet(Browser browser, Navigator navigator, Object value)` Called before setting value of a Navigator, that is at the beginning of Navigator.value

- - ### Method Detail

    - #### abstract void afterClick(Browser browser, Navigator navigator)

      Called after `click()` is called on all of the elements of a Navigator

      Parameters:
        `browser` - The Browser instance used for creating the Navigator for which the event occurred
        `navigator` - The Navigator for which the event occurred

    - #### abstract void afterSendKeys(Browser browser, Navigator navigator, Object value)

      Called after `sendKeys()` is called on all of the elements of a Navigator, as part of Navigator.leftShift

      Parameters:
        `browser` - The Browser instance used for creating the Navigator for which the event occurred
        `navigator` - The Navigator for which the event occurred
        `value` - The value that was passed to Navigator.leftShift

    - #### abstract void afterValueSet(Browser browser, Navigator navigator, Object value)

      Called after setting value of a Navigator, that is at the end of Navigator.value

      Parameters:
        `browser` - The Browser instance used for creating the Navigator for which the event occurred
        `navigator` - The Navigator for which the event occurred
        `value` - The value that was set on the Navigator

    - #### abstract void beforeClick(Browser browser, Navigator navigator)

      Called before `click()` is called on all of the elements of a Navigator

      Parameters:
        `browser` - The Browser instance used for creating the Navigator for which the event occurred
        `navigator` - The Navigator for which the event occurred

    - #### abstract void beforeSendKeys(Browser browser, Navigator navigator, Object value)

      Called before `sendKeys()` is called on all of the elements of a Navigator, as part of Navigator.leftShift

      Parameters:
        `browser` - The Browser instance used for creating the Navigator for which the event occurred
        `navigator` - The Navigator for which the event occurred
        `value` - The value that was passed to Navigator.leftShift

    - #### abstract void beforeValueSet(Browser browser, Navigator navigator, Object value)

      Called before setting value of a Navigator, that is at the beginning of Navigator.value

      Parameters:
        `browser` - The Browser instance used for creating the Navigator for which the event occurred
        `navigator` - The Navigator for which the event occurred
        `value` - The value that will be set on the Navigator